Subject: The Kentucky Lepidopterists

From: [email-masked]
Date: Mon, 23 Jan 95 23:59:53 EST

The Kentucky Lepidopterists are a diverse group of people interested
in any and all aspects of Lepidopterology.  We publish a quarterly newsletter
and have an annual meeting in December.  In addition, there are various field
meetings and a workshop or two.  Membership dues are $10.00 per calendar
year.  More info may be had by writing our Treasurer, Charles V. Covell jr.
E-mail him at [email-masked], or write him at the
Department of Biology,
University of Louisville,
Louisville, KY  40292

Just for informational purposes, please mention where you saw this notice.
 
Happy hunting...
 
Barry S. Nichols, editor of Kentucky Lepidopterist